<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE configuremap [
  <!ELEMENT configuremap (configure)+>
  <!ATTLIST configuremap xmlns CDATA #FIXED ''>
  <!ELEMENT configure EMPTY>
  <!ATTLIST configure xmlns CDATA #FIXED '' name NMTOKEN #REQUIRED
    value CDATA #REQUIRED>
]>
<!--
  ImageMagick build configuration.
-->
<configuremap>
  <configure name="CC" value="gcc"/>
  <configure name="CFLAGS" value="-I/usr/pkg/include/libxml2 -I/usr/pkg/include -I/usr/pkg/include/webp -I/usr/pkg/include -I/usr/pkg/include/webp -I/usr/pkg/include -I/usr/pkg/include/libpng16 -I/usr/pkg/include/lqr-1 -I/usr/pkg/include/glib-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/pkg/include -I/usr/pkg/include/openjpeg-2.5 -I/usr/pkg/include -I/usr/pkg/include -I/usr/pkg/include -I/usr/pkg/include/harfbuzz -I/usr/pkg/include/freetype2 -I/usr/pkg/include/libpng16 -I/usr/pkg/include/glib-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/pkg/include/fribidi -I/usr/pkg/include/freetype2 -I/usr/pkg/include/libpng16 -I/usr/pkg/include -I/usr/X11R7/include -Wall -O2 -I/usr/pkg/include -I/usr/X11R7/include -I/usr/include -I/usr/pkg/include/freetype2 -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/pkg/include/harfbuzz -I/usr/pkg/include/libxml2 -fexceptions -pthread -DMAGICKCORE_HDRI_ENABLE=1 -DMAGICKCORE_QUANTUM_DEPTH=16 -I/usr/pkg/include -DMAGICKCORE_CHANNEL_MASK_DEPTH=32"/>
  <configure name="CHANNEL_MASK_DEPTH" value="32"/>
  <configure name="CODER_PATH" value="/usr/pkg/lib/ImageMagick-7.1.2/modules-Q16HDRI/coders"/>
  <configure name="CONFIGURE_PATH" value="/usr/pkg/etc/ImageMagick-7/"/>
  <configure name="CONFIGURE" value="--without-dps --without-gvc --without-jbig --without-lqr --without-modules --disable-opencl --disable-assert --with-jpeg --with-xml=yes --without-perl --sysconfdir=/usr/pkg/etc --with-fontconfig --with-gslib --with-openjp2 --with-lqr --without-djvu --without-openexr --with-raqm --with-tiff --without-wmf --with-heic --without-fpx --disable-openmp --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --prefix=/usr/pkg --build=aarch64--netbsd --host=aarch64--netbsd --mandir=/usr/pkg/man --enable-option-checking=yes"/>
  <configure name="COPYRIGHT" value="Copyright (C) 1999 ImageMagick Studio LLC"/>
  <configure name="CPPFLAGS" value="-I/usr/pkg/include/ImageMagick-7"/>
  <configure name="CXXFLAGS" value="-O2 -I/usr/pkg/include -I/usr/X11R7/include -I/usr/include -I/usr/pkg/include/freetype2 -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/pkg/include/harfbuzz -I/usr/pkg/include/libxml2 -pthread"/>
  <configure name="CXX" value="c++"/>
  <configure name="DEFS" value="-DHAVE_CONFIG_H"/>
  <configure name="DELEGATES" value="bzlib fontconfig freetype gslib heic jng jp2 jpeg lcms lqr lzma png ps raqm tiff webp x xml zlib"/>
  <configure name="DISTCHECK_CONFIG_FLAGS" value="'CC=gcc' 'CFLAGS=-O2 -I/usr/pkg/include -I/usr/X11R7/include -I/usr/include -I/usr/pkg/include/freetype2 -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/pkg/include/harfbuzz -I/usr/pkg/include/libxml2' 'CPPFLAGS=-DPNG_NO_ASSEMBLER_CODE -I/usr/pkg/include -I/usr/X11R7/include -I/usr/include -I/usr/pkg/include/freetype2 -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/pkg/include/harfbuzz -I/usr/pkg/include/libxml2' 'CXX=c++' 'LDFLAGS=-Wl,-zrelro -L/usr/pkg/lib -L/usr/X11R7/lib -Wl,-R/usr/X11R7/lib -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib' 'LIBS='  --disable-deprecated  --with-quantum-depth=16  --with-jemalloc=no  --with-umem=no  --with-autotrace=no  --with-dps=no  --with-fftw=no  --with-flif=no  --with-fpx=no  --with-djvu=no  --with-gvc=no  --with-openexr=no  --with-rsvg=no  --with-uhdr=no  --with-wmf=no  --with-perl=no "/>
  <configure name="DOCUMENTATION_PATH" value="/usr/pkg/share/doc/ImageMagick-7"/>
  <configure name="EXEC-PREFIX" value="/usr/pkg"/>
  <configure name="EXECUTABLE_PATH" value="/usr/pkg/bin"/>
  <configure name="FEATURES" value="Channel-masks(32-bit) Cipher DPC HDRI"/>
  <configure name="FILTER_PATH" value="/usr/pkg/lib/ImageMagick-7.1.2/modules-Q16HDRI/filters"/>
  <configure name="GIT_REVISION" value="23686" />
  <configure name="HOST" value="aarch64--netbsd"/>
  <configure name="INCLUDE_PATH" value="/usr/pkg/include/ImageMagick-7"/>
  <configure name="LDFLAGS" value="-L/usr/pkg/lib -Wl,-zrelro -L/usr/pkg/lib -L/usr/X11R7/lib -Wl,-R/usr/X11R7/lib -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -L/usr/X11R7/lib -R/usr/X11R7/lib"/>
  <configure name="LIBRARY_ABSOLUTE_PATH" value="/usr/pkg/lib/ImageMagick-7.1.2"/>
  <configure name="LIBS" value="  -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -llcms2  -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -ltiff -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -lfreetype -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -lraqm -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -ljpeg  -lgs -llqr-1 -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -lglib-2.0 -lintl -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -lpng16      -Wl,-rpath,/usr/X11R7/lib -L/usr/X11R7/lib -lfontconfig -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -lheif -L/usr/pkg/lib -lwebpmux -Wl,-R/usr/pkg/lib -lwebpdemux -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -lwebp   -lXext -lXt   -lSM -lICE -lX11  -llzma -lbz2  -L/usr/pkg/lib -lopenjp2    -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -lxml2  -lz     -lm        "/>
  <configure name="LIB_VERSION_NUMBER" value="7,1,2,15"/>
  <configure name="LIB_VERSION" value="0x712"/>
  <configure name="NAME" value="ImageMagick"/>
  <configure name="PCFLAGS" value="-DMAGICKCORE_HDRI_ENABLE=1 -DMAGICKCORE_QUANTUM_DEPTH=16 -DMAGICKCORE_CHANNEL_MASK_DEPTH=32"/>
  <configure name="PREFIX" value="/usr/pkg"/>
  <configure name="QuantumDepth" value="16"/>
  <configure name="RELEASE_DATE" value="2026-02-22"/>
  <configure name="SECURITY_POLICY" value="open"/>
  <configure name="SHAREARCH_PATH" value="/usr/pkg/lib/ImageMagick-7.1.2/config-Q16HDRI"/>
  <configure name="SHARE_PATH" value="/usr/pkg/share/ImageMagick-7"/>
  <configure name="TARGET_CPU" value="aarch64"/>
  <configure name="TARGET_OS" value="netbsd"/>
  <configure name="TARGET_VENDOR" value=""/>
  <configure name="VERSION" value="7.1.2"/>
  <configure name="WEBSITE" value="https://imagemagick.org"/>
</configuremap>
